package com.neusoft.smart.pos.trade.persistent.mapper;

import com.neusoft.smart.pos.trade.persistent.domain.DiningRoom;
import com.neusoft.smart.pos.trade.persistent.domain.DiningRoomExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DiningRoomMapper {
    int countByExample(DiningRoomExample example);

    int deleteByExample(DiningRoomExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(DiningRoom record);

    int insertSelective(DiningRoom record);

    List<DiningRoom> selectByExample(DiningRoomExample example);

    DiningRoom selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") DiningRoom record, @Param("example") DiningRoomExample example);

    int updateByExample(@Param("record") DiningRoom record, @Param("example") DiningRoomExample example);

    int updateByPrimaryKeySelective(DiningRoom record);

    int updateByPrimaryKey(DiningRoom record);

    void batchInsert(@Param("items") List<DiningRoom> items);
}